#ifndef FMT_H
#define FMT_H 1

#include "config.h"

#ifdef MIXI_MUSIC_DEBUG
#define pdebug(s, b) if(b) { mixi_fmt_debug(__FILE__, __FUNCTION__, (s)); }
#else
#define pdebug(s, b) if(b) {;}
#endif

#include <time.h>

char *mixi_fmt_timestr(time_t, int);
char *mixi_fmt_vastr(char *, ...);
void mixi_fmt_debug(char *, const char *, char *);
char *mixi_fmt_string_pack(char *, char *, ...);
int mixi_fmt_strcasecmp(const char *s1, const char *s2);
int mixi_fmt_strncasecmp(const char *s1, const char *s2, size_t n);
#endif
