#ifndef QUEUE_H
#define QUEUE_H 1

#define I_ARTIST(i) (i->artist ? i->artist : "")
#define I_TITLE(i) (i->title ? i->title : "")
#define I_TIME(i) (i->utctime ? i->utctime : "")
#define I_LEN(i) (i->len ? i->len : "")
#define I_GENRE(i) (i->genre ? i->genre : "")
#define I_ALBUM(i) (i->album ? i->album : "")

typedef struct item_t {
  char *artist;
  char *title;
  char *genre;
  char *album;
  char *utctime;
  char len[16];
  void *next;
} item_t;

void mixi_q_put(metatag_t *, int);
item_t *mixi_q_put2(char *, char *, char *, char *, char *, char *);
item_t *mixi_q_peek(void);
item_t *mixi_q_peekall(int);
int mixi_q_get(void);
void mixi_q_free(void);
int mixi_q_len(void);
#endif
